Bug 30690 - [iOS] Issue with Xamarin.Forms ListView with Grouped Header
Summary: [iOS] Issue with Xamarin.Forms ListView with Grouped Header
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 1.4.4
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Rui Marinho
URL:
Depends on:
Blocks:
 
Reported: 2015-06-02 15:48 UTC by Anubhav Ranjan
Modified: 2017-10-18 01:23 UTC (History)
7 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Sample Project (2.15 MB, application/octet-stream)
2015-06-02 15:48 UTC, Anubhav Ranjan
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Anubhav Ranjan 2015-06-02 15:48:51 UTC
Created attachment 11437 [details]
Sample Project

Our customer is facing an issue with GroupedHeader in ListView when using Xamarin.Forms

#Description:
==========
We are experiencing an issue with the Xamarin.Form listview control that seems to occur when we use Grouping Header. Specifically, when the header row is the very last row that is visible on the screen, the following exception is thrown:

Xamarin.Forms.Platform.iOS.ListViewRenderer+ListViewDataSource.SetCellBackgroundColor(UIKit.UITableViewCell cell, UIKit.UIColor color)
Xamarin.Forms.Platform.iOS.ListViewRenderer+ListViewDataSource.RowSelected(UIKit.UITableView tableView, Foundation.NSIndexPath indexPath)
UIKit.UIApplication.Main(System.String[] args, IntPtr principal, IntPtr delegate)UIApplication.cs:62
UIKit.UIApplication.Main(System.String[] args, System.String principalClassName, System.String delegateClassName)UIApplication.cs:45
NOVAmobile.iOS.Application.Main(System.String[] args)Main.cs:26

For example, if you click on the row header "Starting at 1:30 PM", the exception is thrown

Once you scroll the data up so that there is at least one row under the header visible on the screen and click on the exact same header row, the exception no longer occurs.

I'm assuming it is trying to set the selected color for the first row under the group but is unable to when it is not visible on the screen.

Please advise as to if there is a workaround to this issue and/or when you expect this issue to be resolved as soon as possible. We have an upcoming release in the next couple days, and as of now, the application simply crashes with no indication to the user as to what happened.


#Version Info:
===========
Microsoft Visual Studio Premium 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Premium

LightSwitch for Visual Studio 2013 06191-004-0454001-02022
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013 06191-004-0454001-02022
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013 06191-004-0454001-02022
Microsoft Visual Basic 2013

Visual C# 2013 06191-004-0454001-02022
Microsoft Visual C# 2013

Visual C++ 2013 06191-004-0454001-02022
Microsoft Visual C++ 2013

Visual F# 2013 06191-004-0454001-02022
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker 06191-004-0454001-02022
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU 06191-004-0454001-02022
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package 1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 12.3.50717.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2 4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013 5.2.20703.0
For additional information, visit http://www.asp.net/

Common Azure Tools 1.2
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Advertising SDK for Windows Phone
Microsoft Advertising SDK for Windows Phone
Build

Microsoft Azure Mobile Services Tools 1.2
Microsoft Azure Mobile Services Tools

NuGet Package Manager 2.8.60318.734
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU 12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools 1.2
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer 1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools 12.0.30919.1
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration 1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0 1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin 3.11.458.0 (7acdedd)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android 5.1.1.0 (3518c4ceb984ffea1f5d972ea9c09eb27738d565)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.Forms Intellisense 1.0
Provides intellisense for Xamarin.Forms in the XML editor.

Xamarin.iOS 8.10.0.0 (7741cc495ab0baf04ff0405d0604bc27f0ecae2e)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration 1.0
Automated migration for Xamarin iOS Classic projects to Unified

Xamarin.TestCloud.Integration 1.0
Early preview of Xamarin Test Cloud integration
Comment 2 Jason Smith [MSFT] 2015-06-02 16:11:11 UTC
Thanks for the report, bug is pretty obvious to see. UITableView.CellAt can return null and this case is improperly handled.
Comment 3 Chris King 2015-06-05 19:27:32 UTC
Fix ready.
Comment 4 Jason Smith [MSFT] 2015-08-03 10:02:15 UTC
Should be fixed in 1.4.5-pre1
Comment 5 Udham Singh 2015-08-06 07:32:28 UTC
I have checked this issue with the help of sample project attached in bug description with Xamarin.Forms.1.5.0.6396-pre1 and observed that this issue has been fixed with Xamarin.Forms.1.5.0.6396-pre1.

Hence I am closing this issue.

Thanks!

Environment Info :

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.50938

Xamarin   3.11.850.0 (5c48f6b)
Xamarin.Android   5.1.5.3 (f98871a95a479f6d71b3067b7e5834d41fcb2118)
Xamarin.iOS   8.10.4.0 (a888f9e906e136062b2de4a6b738787daae4e824)

Xamarin.iOS Build Host : 8.10.4.45